libpagemaker::PMDCharProperties Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libpagemaker::PMDCharProperties Struct Reference

`#include <PMDTypes.h>`

## Public Member Functions
| PMDCharProperties (const uint16_t length, const uint16_t fontFace, const uint16_t fontSize, const uint8_t fontColor, const uint8_t boldItalicUnderline, const uint8_t superSubscript, const int16_t kerning, const uint16_t superSubSize, const uint16_t superPos, const uint16_t subPos, const uint16_t tint)

## Public Attributes
uint16_t | m_length
uint16_t | m_fontFace
uint16_t | m_fontSize
uint8_t | m_fontColor
uint8_t | m_boldItalicUnderline
uint8_t | m_superSubscript
int16_t | m_kerning
uint16_t | m_superSubSize
uint16_t | m_superPos
uint16_t | m_subPos
uint8_t | m_tint

## Constructor & Destructor Documentation

## ◆ PMDCharProperties()

libpagemaker::PMDCharProperties::PMDCharProperties | ( | const uint16_t | length,
|  | const uint16_t | fontFace,
|  | const uint16_t | fontSize,
|  | const uint8_t | fontColor,
|  | const uint8_t | boldItalicUnderline,
|  | const uint8_t | superSubscript,
|  | const int16_t | kerning,
|  | const uint16_t | superSubSize,
|  | const uint16_t | superPos,
|  | const uint16_t | subPos,
|  | const uint16_t | tint
| ) |  |
| inline

## Member Data Documentation

## ◆ m_boldItalicUnderline

uint8_t libpagemaker::PMDCharProperties::m_boldItalicUnderline

## ◆ m_fontColor

uint8_t libpagemaker::PMDCharProperties::m_fontColor

## ◆ m_fontFace

uint16_t libpagemaker::PMDCharProperties::m_fontFace

## ◆ m_fontSize

uint16_t libpagemaker::PMDCharProperties::m_fontSize

## ◆ m_kerning

int16_t libpagemaker::PMDCharProperties::m_kerning

## ◆ m_length

uint16_t libpagemaker::PMDCharProperties::m_length

## ◆ m_subPos

uint16_t libpagemaker::PMDCharProperties::m_subPos

## ◆ m_superPos

uint16_t libpagemaker::PMDCharProperties::m_superPos

## ◆ m_superSubscript

uint8_t libpagemaker::PMDCharProperties::m_superSubscript

## ◆ m_superSubSize

uint16_t libpagemaker::PMDCharProperties::m_superSubSize

## ◆ m_tint

uint8_t libpagemaker::PMDCharProperties::m_tint

The documentation for this struct was generated from the following file:

- PMDTypes.h